/******************************************************************************
FILE:				DragBackgroundView.h
LANGUAGE:			Objective-C
SYSTEM:				UNIX 
USER-INTERFACE:		NEXTSTEP
DESCRIPTION
	This view is used as a background view for NX_PLAINSTYLE windows. 
	It allows dragging the window when clicking on it but not on an enabled
	subview.
AUTHORS
	<PJB> Pascal J. Bourguignon
MODIFICATIONS
	1998/08/12 <PJB> Creation.
BUGS
LEGAL
	Copyright Pascal J. Bourguignon 1998 - 1998
	The GNU GENERAL PUBLIC LICENSE applies to this software.
	See the file named "COPYING".
******************************************************************************/

#import <appkit/appkit.h>

@interface DragBackgroundView:View
{
	Cell*		cell;
}

	- initFrame:(const NXRect*)frame;
	- setCell:aCell;
	-(id)cell;
	- drawSelf:(const NXRect*)rects :(int)rectCount;
	- mouseDown:(NXEvent*)theEvent;

@end //DragBackgoundView.

/*** DragBackgroundView.h / Wed Aug 12 03:58:07 MET 1998 / PJB ***/
